<?php

namespace Drupal\transliterate_twig\TwigExtension;

use Drupal\Component\Transliteration\PhpTransliteration;
use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;

class TransliterateFilter extends AbstractExtension {

  /**
   * Generates a list of all Twig filters that this extension defines.
   */
  public function getFilters() {
    return [
      new TwigFilter('tl', array($this, 'transliterateString')),
    ];
  }

  /**
   * Gets a unique identifier for this Twig extension.
   */
  public function getName() {
    return 'transliterate_twig.twig_extension';
  }

  /**
   * Transliterates a string
   */
  public static function transliterateString($string) {
    return (new PhpTransliteration())->transliterate($string);
  }

}
